Skip to main content
POST
/
v1
/
crawl
cURL
curl -X POST https://api.scrapio.dev/v1/crawl \
  -H "Authorization: Bearer $SCRAPIO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"seeds":["https://example.com"],"max_pages":5,"output":["markdown"]}'
{
  "id": "<string>",
  "request_id": "<string>",
  "kind": "crawl",
  "mode": "inline",
  "steps": [
    {
      "step_id": "<string>",
      "type": "<string>",
      "started_at": "<string>",
      "completed_at": "<string>",
      "error": {
        "code": "<string>",
        "message": "<string>"
      }
    }
  ],
  "result": {
    "seeds": [
      "<string>"
    ],
    "pages": [
      {
        "url": "<string>",
        "depth": 123,
        "discovered_from": "<string>",
        "outputs": {},
        "error": {
          "code": "<string>",
          "message": "<string>"
        }
      }
    ],
    "summary": {
      "pages_discovered": 123,
      "pages_fetched": 123,
      "pages_succeeded": 123,
      "pages_failed": 123,
      "pages_skipped": 123
    }
  },
  "diagnostics": {
    "step_errors": [
      {
        "step_id": "<string>",
        "code": "<string>",
        "message": "<string>",
        "url": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
seeds
string<uri>[]
required
Minimum array length: 1
max_pages
integer
Required range: x <= 50
max_depth
integer
Required range: 0 <= x <= 5
same_domain_only
boolean
output
enum<string>[]
Minimum array length: 1
Available options:
html,
markdown,
json
extract
object
timeout_ms
integer
Required range: x <= 300000

Response

Crawl completed; per-page results and a summary are returned.

id
string
required
request_id
string
required
kind
enum<string>
required
Available options:
crawl
mode
enum<string>
required
Available options:
inline
status
enum<string>
required
Available options:
completed,
partial
steps
object[]
required
result
object
required
diagnostics
object
required